#ifndef __SHORTESTPATH_H__
#define __SHORTESTPATH_H__


//
// Include the C standard library header file here
//


#include <stdio.h>


//
// Other header files are included here
//



//
// Define the data structure here
//

#define MAX  		100000000		// Denotes the direct connection between two vertices, denoted by MAX in the adjacency matrix
#define VERTEXNUM 	6       // Vertex number

typedef struct GraphMatrix{
	int  Arcs[VERTEXNUM][VERTEXNUM];	// Edge information
}GraphMatrix;

typedef struct ShortestPath{
	int length;	  	// Shortest path length
	int prevex;   	// The leading vertex of Vi on the shortest path from Vo to Vi 
}ShortestPath;


//
// Declare functions
//


void Dijkstra(GraphMatrix* pGraph);
void OutputResult(GraphMatrix* pGraph);


//
// Declare global variables here
//

extern ShortestPath dist[MAX];


#endif /* _SHORTESTPATH_H_ */

