#include "ShortestPath.h"

ShortestPath dist[MAX];
						
int main(int argc, char* argv[])
{
	
	//
	// Initialization graph (adjacency matrix representation of graph)
	//
	GraphMatrix Graph = {{
						 	{   0,  50,  10, MAX,  45, MAX},
							{ MAX,   0,  15, MAX,   5, MAX},
							{  20, 100,   0,  15, MAX, MAX},
							{ MAX,  20, MAX,   0,  35, MAX},
							{ MAX, MAX, MAX,  30,   0, MAX},
							{ MAX, MAX, MAX,   3, MAX,   0}
						}};
						
	//
	//Shortest path (Dijkstra algorithm)
	//
	Dijkstra(&Graph);
	
	//
	// output result
	//
	OutputResult(&Graph);

	return 0;
}

/*
function:
	Dijkstra algorithm for shortest paths

parameter:
	pGraph -- Figure pointer
*/
void Dijkstra(GraphMatrix* pGraph)
{
	int i;	         // The cursor
	int mv, minw;	 // Stores the index and length of nodes in the shortest path
	
	//
	// TODO: Add the code here
	//	
	 	
}

/*
function:
	output result

parameter:
	nothing
*/
void OutputResult(GraphMatrix* pGraph)
{
	int i;
	
	printf("ShortestPath: ");  	
	for(i=0; i < VERTEXNUM; i++)      
	{
		if(pGraph->Arcs[i][i] == 1)
		{
			printf("[%3d, %2d]", dist[i].length, dist[i].prevex);					
		}
		else
		{
			if(dist[i].length == MAX)
			{
				printf("(%3s, %2d)", "MAX", dist[i].prevex);	
			}
			else
			{
				printf("(%3d, %2d)", dist[i].length, dist[i].prevex);		
			}
		}
		
			
	}    
	
	printf("\n");  	
}

